package com.javacodegeeks.core.primenumbers;

public class JavaPrimeNumbers {

	public static void main(String[] args){
		
		int N = 100; 
		
		boolean[] isPrime = new boolean[N + 1];
		
		JavaPrimeNumbers.initializeSeive(isPrime);

		for(int i = 2 ; i < N; i++)
			if(isPrime[i])
				System.out.println(i);
	}


	public static void initializeSeive(boolean[] seive){
		int N = seive.length;
		
		System.out.println(N);

		for (int i = 2; i < N; i++) {
			seive[i] = true;
		}


		for (int i = 2; i*i <= N; i++) {

			if (seive[i]) {
				for (int j = i; i*j <= N; j++) {
					seive[i*j] = false;
				}
			}
		}
	} 

	public static boolean primeTest(long n){

		for(long i = 2 ; i < Math.sqrt(n) ; i++)
			if(n%i == 0)
				return false;

		return true;
	}
}
